Generated for 2.1.11
[freeradius.git] / src / modules / rlm_rediswho / configure
1 #! /bin/sh
2 # From configure.in Revision.
3 # Guess values for system-dependent variables and create Makefiles.
4 # Generated by GNU Autoconf 2.61.
5 #
6 # Copyright (C) 1992, 1993, 1994, 1995, 1996, 1998, 1999, 2000, 2001,
7 # 2002, 2003, 2004, 2005, 2006 Free Software Foundation, Inc.
8 # This configure script is free software; the Free Software Foundation
9 # gives unlimited permission to copy, distribute and modify it.
10 ## --------------------- ##
11 ## M4sh Initialization.  ##
12 ## --------------------- ##
13
14 # Be more Bourne compatible
15 DUALCASE=1; export DUALCASE # for MKS sh
16 if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
17   emulate sh
18   NULLCMD=:
19   # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
20   # is contrary to our usage.  Disable this feature.
21   alias -g '${1+"$@"}'='"$@"'
22   setopt NO_GLOB_SUBST
23 else
24   case `(set -o) 2>/dev/null` in
25   *posix*) set -o posix ;;
26 esac
27
28 fi
29
30
31
32
33 # PATH needs CR
34 # Avoid depending upon Character Ranges.
35 as_cr_letters='abcdefghijklmnopqrstuvwxyz'
36 as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
37 as_cr_Letters=$as_cr_letters$as_cr_LETTERS
38 as_cr_digits='0123456789'
39 as_cr_alnum=$as_cr_Letters$as_cr_digits
40
41 # The user is always right.
42 if test "${PATH_SEPARATOR+set}" != set; then
43   echo "#! /bin/sh" >conf$$.sh
44   echo  "exit 0"   >>conf$$.sh
45   chmod +x conf$$.sh
46   if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
47     PATH_SEPARATOR=';'
48   else
49     PATH_SEPARATOR=:
50   fi
51   rm -f conf$$.sh
52 fi
53
54 # Support unset when possible.
55 if ( (MAIL=60; unset MAIL) || exit) >/dev/null 2>&1; then
56   as_unset=unset
57 else
58   as_unset=false
59 fi
60
61
62 # IFS
63 # We need space, tab and new line, in precisely that order.  Quoting is
64 # there to prevent editors from complaining about space-tab.
65 # (If _AS_PATH_WALK were called with IFS unset, it would disable word
66 # splitting by setting IFS to empty value.)
67 as_nl='
68 '
69 IFS=" ""        $as_nl"
70
71 # Find who we are.  Look in the path if we contain no directory separator.
72 case $0 in
73   *[\\/]* ) as_myself=$0 ;;
74   *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
75 for as_dir in $PATH
76 do
77   IFS=$as_save_IFS
78   test -z "$as_dir" && as_dir=.
79   test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
80 done
81 IFS=$as_save_IFS
82
83      ;;
84 esac
85 # We did not find ourselves, most probably we were run as `sh COMMAND'
86 # in which case we are not to be found in the path.
87 if test "x$as_myself" = x; then
88   as_myself=$0
89 fi
90 if test ! -f "$as_myself"; then
91   echo "$as_myself: error: cannot find myself; rerun with an absolute file name" >&2
92   { (exit 1); exit 1; }
93 fi
94
95 # Work around bugs in pre-3.0 UWIN ksh.
96 for as_var in ENV MAIL MAILPATH
97 do ($as_unset $as_var) >/dev/null 2>&1 && $as_unset $as_var
98 done
99 PS1='$ '
100 PS2='> '
101 PS4='+ '
102
103 # NLS nuisances.
104 for as_var in \
105   LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION \
106   LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER \
107   LC_TELEPHONE LC_TIME
108 do
109   if (set +x; test -z "`(eval $as_var=C; export $as_var) 2>&1`"); then
110     eval $as_var=C; export $as_var
111   else
112     ($as_unset $as_var) >/dev/null 2>&1 && $as_unset $as_var
113   fi
114 done
115
116 # Required to use basename.
117 if expr a : '\(a\)' >/dev/null 2>&1 &&
118    test "X`expr 00001 : '.*\(...\)'`" = X001; then
119   as_expr=expr
120 else
121   as_expr=false
122 fi
123
124 if (basename -- /) >/dev/null 2>&1 && test "X`basename -- / 2>&1`" = "X/"; then
125   as_basename=basename
126 else
127   as_basename=false
128 fi
129
130
131 # Name of the executable.
132 as_me=`$as_basename -- "$0" ||
133 $as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
134          X"$0" : 'X\(//\)$' \| \
135          X"$0" : 'X\(/\)' \| . 2>/dev/null ||
136 echo X/"$0" |
137     sed '/^.*\/\([^/][^/]*\)\/*$/{
138             s//\1/
139             q
140           }
141           /^X\/\(\/\/\)$/{
142             s//\1/
143             q
144           }
145           /^X\/\(\/\).*/{
146             s//\1/
147             q
148           }
149           s/.*/./; q'`
150
151 # CDPATH.
152 $as_unset CDPATH
153
154
155 if test "x$CONFIG_SHELL" = x; then
156   if (eval ":") 2>/dev/null; then
157   as_have_required=yes
158 else
159   as_have_required=no
160 fi
161
162   if test $as_have_required = yes &&     (eval ":
163 (as_func_return () {
164   (exit \$1)
165 }
166 as_func_success () {
167   as_func_return 0
168 }
169 as_func_failure () {
170   as_func_return 1
171 }
172 as_func_ret_success () {
173   return 0
174 }
175 as_func_ret_failure () {
176   return 1
177 }
178
179 exitcode=0
180 if as_func_success; then
181   :
182 else
183   exitcode=1
184   echo as_func_success failed.
185 fi
186
187 if as_func_failure; then
188   exitcode=1
189   echo as_func_failure succeeded.
190 fi
191
192 if as_func_ret_success; then
193   :
194 else
195   exitcode=1
196   echo as_func_ret_success failed.
197 fi
198
199 if as_func_ret_failure; then
200   exitcode=1
201   echo as_func_ret_failure succeeded.
202 fi
203
204 if ( set x; as_func_ret_success y && test x = \"\$1\" ); then
205   :
206 else
207   exitcode=1
208   echo positional parameters were not saved.
209 fi
210
211 test \$exitcode = 0) || { (exit 1); exit 1; }
212
213 (
214   as_lineno_1=\$LINENO
215   as_lineno_2=\$LINENO
216   test \"x\$as_lineno_1\" != \"x\$as_lineno_2\" &&
217   test \"x\`expr \$as_lineno_1 + 1\`\" = \"x\$as_lineno_2\") || { (exit 1); exit 1; }
218 ") 2> /dev/null; then
219   :
220 else
221   as_candidate_shells=
222     as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
223 for as_dir in /bin$PATH_SEPARATOR/usr/bin$PATH_SEPARATOR$PATH
224 do
225   IFS=$as_save_IFS
226   test -z "$as_dir" && as_dir=.
227   case $as_dir in
228          /*)
229            for as_base in sh bash ksh sh5; do
230              as_candidate_shells="$as_candidate_shells $as_dir/$as_base"
231            done;;
232        esac
233 done
234 IFS=$as_save_IFS
235
236
237       for as_shell in $as_candidate_shells $SHELL; do
238          # Try only shells that exist, to save several forks.
239          if { test -f "$as_shell" || test -f "$as_shell.exe"; } &&
240                 { ("$as_shell") 2> /dev/null <<\_ASEOF
241 if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
242   emulate sh
243   NULLCMD=:
244   # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
245   # is contrary to our usage.  Disable this feature.
246   alias -g '${1+"$@"}'='"$@"'
247   setopt NO_GLOB_SUBST
248 else
249   case `(set -o) 2>/dev/null` in
250   *posix*) set -o posix ;;
251 esac
252
253 fi
254
255
256 :
257 _ASEOF
258 }; then
259   CONFIG_SHELL=$as_shell
260                as_have_required=yes
261                if { "$as_shell" 2> /dev/null <<\_ASEOF
262 if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
263   emulate sh
264   NULLCMD=:
265   # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
266   # is contrary to our usage.  Disable this feature.
267   alias -g '${1+"$@"}'='"$@"'
268   setopt NO_GLOB_SUBST
269 else
270   case `(set -o) 2>/dev/null` in
271   *posix*) set -o posix ;;
272 esac
273
274 fi
275
276
277 :
278 (as_func_return () {
279   (exit $1)
280 }
281 as_func_success () {
282   as_func_return 0
283 }
284 as_func_failure () {
285   as_func_return 1
286 }
287 as_func_ret_success () {
288   return 0
289 }
290 as_func_ret_failure () {
291   return 1
292 }
293
294 exitcode=0
295 if as_func_success; then
296   :
297 else
298   exitcode=1
299   echo as_func_success failed.
300 fi
301
302 if as_func_failure; then
303   exitcode=1
304   echo as_func_failure succeeded.
305 fi
306
307 if as_func_ret_success; then
308   :
309 else
310   exitcode=1
311   echo as_func_ret_success failed.
312 fi
313
314 if as_func_ret_failure; then
315   exitcode=1
316   echo as_func_ret_failure succeeded.
317 fi
318
319 if ( set x; as_func_ret_success y && test x = "$1" ); then
320   :
321 else
322   exitcode=1
323   echo positional parameters were not saved.
324 fi
325
326 test $exitcode = 0) || { (exit 1); exit 1; }
327
328 (
329   as_lineno_1=$LINENO
330   as_lineno_2=$LINENO
331   test "x$as_lineno_1" != "x$as_lineno_2" &&
332   test "x`expr $as_lineno_1 + 1`" = "x$as_lineno_2") || { (exit 1); exit 1; }
333
334 _ASEOF
335 }; then
336   break
337 fi
338
339 fi
340
341       done
342
343       if test "x$CONFIG_SHELL" != x; then
344   for as_var in BASH_ENV ENV
345         do ($as_unset $as_var) >/dev/null 2>&1 && $as_unset $as_var
346         done
347         export CONFIG_SHELL
348         exec "$CONFIG_SHELL" "$as_myself" ${1+"$@"}
349 fi
350
351
352     if test $as_have_required = no; then
353   echo This script requires a shell more modern than all the
354       echo shells that I found on your system.  Please install a
355       echo modern shell, or manually run the script under such a
356       echo shell if you do have one.
357       { (exit 1); exit 1; }
358 fi
359
360
361 fi
362
363 fi
364
365
366
367 (eval "as_func_return () {
368   (exit \$1)
369 }
370 as_func_success () {
371   as_func_return 0
372 }
373 as_func_failure () {
374   as_func_return 1
375 }
376 as_func_ret_success () {
377   return 0
378 }
379 as_func_ret_failure () {
380   return 1
381 }
382
383 exitcode=0
384 if as_func_success; then
385   :
386 else
387   exitcode=1
388   echo as_func_success failed.
389 fi
390
391 if as_func_failure; then
392   exitcode=1
393   echo as_func_failure succeeded.
394 fi
395
396 if as_func_ret_success; then
397   :
398 else
399   exitcode=1
400   echo as_func_ret_success failed.
401 fi
402
403 if as_func_ret_failure; then
404   exitcode=1
405   echo as_func_ret_failure succeeded.
406 fi
407
408 if ( set x; as_func_ret_success y && test x = \"\$1\" ); then
409   :
410 else
411   exitcode=1
412   echo positional parameters were not saved.
413 fi
414
415 test \$exitcode = 0") || {
416   echo No shell found that supports shell functions.
417   echo Please tell autoconf@gnu.org about your system,
418   echo including any error possibly output before this
419   echo message
420 }
421
422
423
424   as_lineno_1=$LINENO
425   as_lineno_2=$LINENO
426   test "x$as_lineno_1" != "x$as_lineno_2" &&
427   test "x`expr $as_lineno_1 + 1`" = "x$as_lineno_2" || {
428
429   # Create $as_me.lineno as a copy of $as_myself, but with $LINENO
430   # uniformly replaced by the line number.  The first 'sed' inserts a
431   # line-number line after each line using $LINENO; the second 'sed'
432   # does the real work.  The second script uses 'N' to pair each
433   # line-number line with the line containing $LINENO, and appends
434   # trailing '-' during substitution so that $LINENO is not a special
435   # case at line end.
436   # (Raja R Harinath suggested sed '=', and Paul Eggert wrote the
437   # scripts with optimization help from Paolo Bonzini.  Blame Lee
438   # E. McMahon (1931-1989) for sed's syntax.  :-)
439   sed -n '
440     p
441     /[$]LINENO/=
442   ' <$as_myself |
443     sed '
444       s/[$]LINENO.*/&-/
445       t lineno
446       b
447       :lineno
448       N
449       :loop
450       s/[$]LINENO\([^'$as_cr_alnum'_].*\n\)\(.*\)/\2\1\2/
451       t loop
452       s/-\n.*//
453     ' >$as_me.lineno &&
454   chmod +x "$as_me.lineno" ||
455     { echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2
456    { (exit 1); exit 1; }; }
457
458   # Don't try to exec as it changes $[0], causing all sort of problems
459   # (the dirname of $[0] is not the place where we might find the
460   # original and so on.  Autoconf is especially sensitive to this).
461   . "./$as_me.lineno"
462   # Exit status is that of the last command.
463   exit
464 }
465
466
467 if (as_dir=`dirname -- /` && test "X$as_dir" = X/) >/dev/null 2>&1; then
468   as_dirname=dirname
469 else
470   as_dirname=false
471 fi
472
473 ECHO_C= ECHO_N= ECHO_T=
474 case `echo -n x` in
475 -n*)
476   case `echo 'x\c'` in
477   *c*) ECHO_T=' ';;     # ECHO_T is single tab character.
478   *)   ECHO_C='\c';;
479   esac;;
480 *)
481   ECHO_N='-n';;
482 esac
483
484 if expr a : '\(a\)' >/dev/null 2>&1 &&
485    test "X`expr 00001 : '.*\(...\)'`" = X001; then
486   as_expr=expr
487 else
488   as_expr=false
489 fi
490
491 rm -f conf$$ conf$$.exe conf$$.file
492 if test -d conf$$.dir; then
493   rm -f conf$$.dir/conf$$.file
494 else
495   rm -f conf$$.dir
496   mkdir conf$$.dir
497 fi
498 echo >conf$$.file
499 if ln -s conf$$.file conf$$ 2>/dev/null; then
500   as_ln_s='ln -s'
501   # ... but there are two gotchas:
502   # 1) On MSYS, both `ln -s file dir' and `ln file dir' fail.
503   # 2) DJGPP < 2.04 has no symlinks; `ln -s' creates a wrapper executable.
504   # In both cases, we have to default to `cp -p'.
505   ln -s conf$$.file conf$$.dir 2>/dev/null && test ! -f conf$$.exe ||
506     as_ln_s='cp -p'
507 elif ln conf$$.file conf$$ 2>/dev/null; then
508   as_ln_s=ln
509 else
510   as_ln_s='cp -p'
511 fi
512 rm -f conf$$ conf$$.exe conf$$.dir/conf$$.file conf$$.file
513 rmdir conf$$.dir 2>/dev/null
514
515 if mkdir -p . 2>/dev/null; then
516   as_mkdir_p=:
517 else
518   test -d ./-p && rmdir ./-p
519   as_mkdir_p=false
520 fi
521
522 if test -x / >/dev/null 2>&1; then
523   as_test_x='test -x'
524 else
525   if ls -dL / >/dev/null 2>&1; then
526     as_ls_L_option=L
527   else
528     as_ls_L_option=
529   fi
530   as_test_x='
531     eval sh -c '\''
532       if test -d "$1"; then
533         test -d "$1/.";
534       else
535         case $1 in
536         -*)set "./$1";;
537         esac;
538         case `ls -ld'$as_ls_L_option' "$1" 2>/dev/null` in
539         ???[sx]*):;;*)false;;esac;fi
540     '\'' sh
541   '
542 fi
543 as_executable_p=$as_test_x
544
545 # Sed expression to map a string onto a valid CPP name.
546 as_tr_cpp="eval sed 'y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g'"
547
548 # Sed expression to map a string onto a valid variable name.
549 as_tr_sh="eval sed 'y%*+%pp%;s%[^_$as_cr_alnum]%_%g'"
550
551
552
553 exec 7<&0 </dev/null 6>&1
554
555 # Name of the host.
556 # hostname on some systems (SVR3.2, Linux) returns a bogus exit status,
557 # so uname gets run too.
558 ac_hostname=`(hostname || uname -n) 2>/dev/null | sed 1q`
559
560 #
561 # Initializations.
562 #
563 ac_default_prefix=/usr/local
564 ac_clean_files=
565 ac_config_libobj_dir=.
566 LIBOBJS=
567 cross_compiling=no
568 subdirs=
569 MFLAGS=
570 MAKEFLAGS=
571 SHELL=${CONFIG_SHELL-/bin/sh}
572
573 # Identity of this package.
574 PACKAGE_NAME=
575 PACKAGE_TARNAME=
576 PACKAGE_VERSION=
577 PACKAGE_STRING=
578 PACKAGE_BUGREPORT=
579
580 ac_unique_file="rlm_rediswho.c"
581 ac_subst_vars='SHELL
582 PATH_SEPARATOR
583 PACKAGE_NAME
584 PACKAGE_TARNAME
585 PACKAGE_VERSION
586 PACKAGE_STRING
587 PACKAGE_BUGREPORT
588 exec_prefix
589 prefix
590 program_transform_name
591 bindir
592 sbindir
593 libexecdir
594 datarootdir
595 datadir
596 sysconfdir
597 sharedstatedir
598 localstatedir
599 includedir
600 oldincludedir
601 docdir
602 infodir
603 htmldir
604 dvidir
605 pdfdir
606 psdir
607 libdir
608 localedir
609 mandir
610 DEFS
611 ECHO_C
612 ECHO_N
613 ECHO_T
614 LIBS
615 build_alias
616 host_alias
617 target_alias
618 targetname
619 LIBOBJS
620 LTLIBOBJS'
621 ac_subst_files=''
622       ac_precious_vars='build_alias
623 host_alias
624 target_alias'
625
626
627 # Initialize some variables set by options.
628 ac_init_help=
629 ac_init_version=false
630 # The variables have the same names as the options, with
631 # dashes changed to underlines.
632 cache_file=/dev/null
633 exec_prefix=NONE
634 no_create=
635 no_recursion=
636 prefix=NONE
637 program_prefix=NONE
638 program_suffix=NONE
639 program_transform_name=s,x,x,
640 silent=
641 site=
642 srcdir=
643 verbose=
644 x_includes=NONE
645 x_libraries=NONE
646
647 # Installation directory options.
648 # These are left unexpanded so users can "make install exec_prefix=/foo"
649 # and all the variables that are supposed to be based on exec_prefix
650 # by default will actually change.
651 # Use braces instead of parens because sh, perl, etc. also accept them.
652 # (The list follows the same order as the GNU Coding Standards.)
653 bindir='${exec_prefix}/bin'
654 sbindir='${exec_prefix}/sbin'
655 libexecdir='${exec_prefix}/libexec'
656 datarootdir='${prefix}/share'
657 datadir='${datarootdir}'
658 sysconfdir='${prefix}/etc'
659 sharedstatedir='${prefix}/com'
660 localstatedir='${prefix}/var'
661 includedir='${prefix}/include'
662 oldincludedir='/usr/include'
663 docdir='${datarootdir}/doc/${PACKAGE}'
664 infodir='${datarootdir}/info'
665 htmldir='${docdir}'
666 dvidir='${docdir}'
667 pdfdir='${docdir}'
668 psdir='${docdir}'
669 libdir='${exec_prefix}/lib'
670 localedir='${datarootdir}/locale'
671 mandir='${datarootdir}/man'
672
673 ac_prev=
674 ac_dashdash=
675 for ac_option
676 do
677   # If the previous option needs an argument, assign it.
678   if test -n "$ac_prev"; then
679     eval $ac_prev=\$ac_option
680     ac_prev=
681     continue
682   fi
683
684   case $ac_option in
685   *=*)  ac_optarg=`expr "X$ac_option" : '[^=]*=\(.*\)'` ;;
686   *)    ac_optarg=yes ;;
687   esac
688
689   # Accept the important Cygnus configure options, so we can diagnose typos.
690
691   case $ac_dashdash$ac_option in
692   --)
693     ac_dashdash=yes ;;
694
695   -bindir | --bindir | --bindi | --bind | --bin | --bi)
696     ac_prev=bindir ;;
697   -bindir=* | --bindir=* | --bindi=* | --bind=* | --bin=* | --bi=*)
698     bindir=$ac_optarg ;;
699
700   -build | --build | --buil | --bui | --bu)
701     ac_prev=build_alias ;;
702   -build=* | --build=* | --buil=* | --bui=* | --bu=*)
703     build_alias=$ac_optarg ;;
704
705   -cache-file | --cache-file | --cache-fil | --cache-fi \
706   | --cache-f | --cache- | --cache | --cach | --cac | --ca | --c)
707     ac_prev=cache_file ;;
708   -cache-file=* | --cache-file=* | --cache-fil=* | --cache-fi=* \
709   | --cache-f=* | --cache-=* | --cache=* | --cach=* | --cac=* | --ca=* | --c=*)
710     cache_file=$ac_optarg ;;
711
712   --config-cache | -C)
713     cache_file=config.cache ;;
714
715   -datadir | --datadir | --datadi | --datad)
716     ac_prev=datadir ;;
717   -datadir=* | --datadir=* | --datadi=* | --datad=*)
718     datadir=$ac_optarg ;;
719
720   -datarootdir | --datarootdir | --datarootdi | --datarootd | --dataroot \
721   | --dataroo | --dataro | --datar)
722     ac_prev=datarootdir ;;
723   -datarootdir=* | --datarootdir=* | --datarootdi=* | --datarootd=* \
724   | --dataroot=* | --dataroo=* | --dataro=* | --datar=*)
725     datarootdir=$ac_optarg ;;
726
727   -disable-* | --disable-*)
728     ac_feature=`expr "x$ac_option" : 'x-*disable-\(.*\)'`
729     # Reject names that are not valid shell variable names.
730     expr "x$ac_feature" : ".*[^-._$as_cr_alnum]" >/dev/null &&
731       { echo "$as_me: error: invalid feature name: $ac_feature" >&2
732    { (exit 1); exit 1; }; }
733     ac_feature=`echo $ac_feature | sed 's/[-.]/_/g'`
734     eval enable_$ac_feature=no ;;
735
736   -docdir | --docdir | --docdi | --doc | --do)
737     ac_prev=docdir ;;
738   -docdir=* | --docdir=* | --docdi=* | --doc=* | --do=*)
739     docdir=$ac_optarg ;;
740
741   -dvidir | --dvidir | --dvidi | --dvid | --dvi | --dv)
742     ac_prev=dvidir ;;
743   -dvidir=* | --dvidir=* | --dvidi=* | --dvid=* | --dvi=* | --dv=*)
744     dvidir=$ac_optarg ;;
745
746   -enable-* | --enable-*)
747     ac_feature=`expr "x$ac_option" : 'x-*enable-\([^=]*\)'`
748     # Reject names that are not valid shell variable names.
749     expr "x$ac_feature" : ".*[^-._$as_cr_alnum]" >/dev/null &&
750       { echo "$as_me: error: invalid feature name: $ac_feature" >&2
751    { (exit 1); exit 1; }; }
752     ac_feature=`echo $ac_feature | sed 's/[-.]/_/g'`
753     eval enable_$ac_feature=\$ac_optarg ;;
754
755   -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi \
756   | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- \
757   | --exec | --exe | --ex)
758     ac_prev=exec_prefix ;;
759   -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* \
760   | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* \
761   | --exec=* | --exe=* | --ex=*)
762     exec_prefix=$ac_optarg ;;
763
764   -gas | --gas | --ga | --g)
765     # Obsolete; use --with-gas.
766     with_gas=yes ;;
767
768   -help | --help | --hel | --he | -h)
769     ac_init_help=long ;;
770   -help=r* | --help=r* | --hel=r* | --he=r* | -hr*)
771     ac_init_help=recursive ;;
772   -help=s* | --help=s* | --hel=s* | --he=s* | -hs*)
773     ac_init_help=short ;;
774
775   -host | --host | --hos | --ho)
776     ac_prev=host_alias ;;
777   -host=* | --host=* | --hos=* | --ho=*)
778     host_alias=$ac_optarg ;;
779
780   -htmldir | --htmldir | --htmldi | --htmld | --html | --htm | --ht)
781     ac_prev=htmldir ;;
782   -htmldir=* | --htmldir=* | --htmldi=* | --htmld=* | --html=* | --htm=* \
783   | --ht=*)
784     htmldir=$ac_optarg ;;
785
786   -includedir | --includedir | --includedi | --included | --include \
787   | --includ | --inclu | --incl | --inc)
788     ac_prev=includedir ;;
789   -includedir=* | --includedir=* | --includedi=* | --included=* | --include=* \
790   | --includ=* | --inclu=* | --incl=* | --inc=*)
791     includedir=$ac_optarg ;;
792
793   -infodir | --infodir | --infodi | --infod | --info | --inf)
794     ac_prev=infodir ;;
795   -infodir=* | --infodir=* | --infodi=* | --infod=* | --info=* | --inf=*)
796     infodir=$ac_optarg ;;
797
798   -libdir | --libdir | --libdi | --libd)
799     ac_prev=libdir ;;
800   -libdir=* | --libdir=* | --libdi=* | --libd=*)
801     libdir=$ac_optarg ;;
802
803   -libexecdir | --libexecdir | --libexecdi | --libexecd | --libexec \
804   | --libexe | --libex | --libe)
805     ac_prev=libexecdir ;;
806   -libexecdir=* | --libexecdir=* | --libexecdi=* | --libexecd=* | --libexec=* \
807   | --libexe=* | --libex=* | --libe=*)
808     libexecdir=$ac_optarg ;;
809
810   -localedir | --localedir | --localedi | --localed | --locale)
811     ac_prev=localedir ;;
812   -localedir=* | --localedir=* | --localedi=* | --localed=* | --locale=*)
813     localedir=$ac_optarg ;;
814
815   -localstatedir | --localstatedir | --localstatedi | --localstated \
816   | --localstate | --localstat | --localsta | --localst | --locals)
817     ac_prev=localstatedir ;;
818   -localstatedir=* | --localstatedir=* | --localstatedi=* | --localstated=* \
819   | --localstate=* | --localstat=* | --localsta=* | --localst=* | --locals=*)
820     localstatedir=$ac_optarg ;;
821
822   -mandir | --mandir | --mandi | --mand | --man | --ma | --m)
823     ac_prev=mandir ;;
824   -mandir=* | --mandir=* | --mandi=* | --mand=* | --man=* | --ma=* | --m=*)
825     mandir=$ac_optarg ;;
826
827   -nfp | --nfp | --nf)
828     # Obsolete; use --without-fp.
829     with_fp=no ;;
830
831   -no-create | --no-create | --no-creat | --no-crea | --no-cre \
832   | --no-cr | --no-c | -n)
833     no_create=yes ;;
834
835   -no-recursion | --no-recursion | --no-recursio | --no-recursi \
836   | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r)
837     no_recursion=yes ;;
838
839   -oldincludedir | --oldincludedir | --oldincludedi | --oldincluded \
840   | --oldinclude | --oldinclud | --oldinclu | --oldincl | --oldinc \
841   | --oldin | --oldi | --old | --ol | --o)
842     ac_prev=oldincludedir ;;
843   -oldincludedir=* | --oldincludedir=* | --oldincludedi=* | --oldincluded=* \
844   | --oldinclude=* | --oldinclud=* | --oldinclu=* | --oldincl=* | --oldinc=* \
845   | --oldin=* | --oldi=* | --old=* | --ol=* | --o=*)
846     oldincludedir=$ac_optarg ;;
847
848   -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
849     ac_prev=prefix ;;
850   -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
851     prefix=$ac_optarg ;;
852
853   -program-prefix | --program-prefix | --program-prefi | --program-pref \
854   | --program-pre | --program-pr | --program-p)
855     ac_prev=program_prefix ;;
856   -program-prefix=* | --program-prefix=* | --program-prefi=* \
857   | --program-pref=* | --program-pre=* | --program-pr=* | --program-p=*)
858     program_prefix=$ac_optarg ;;
859
860   -program-suffix | --program-suffix | --program-suffi | --program-suff \
861   | --program-suf | --program-su | --program-s)
862     ac_prev=program_suffix ;;
863   -program-suffix=* | --program-suffix=* | --program-suffi=* \
864   | --program-suff=* | --program-suf=* | --program-su=* | --program-s=*)
865     program_suffix=$ac_optarg ;;
866
867   -program-transform-name | --program-transform-name \
868   | --program-transform-nam | --program-transform-na \
869   | --program-transform-n | --program-transform- \
870   | --program-transform | --program-transfor \
871   | --program-transfo | --program-transf \
872   | --program-trans | --program-tran \
873   | --progr-tra | --program-tr | --program-t)
874     ac_prev=program_transform_name ;;
875   -program-transform-name=* | --program-transform-name=* \
876   | --program-transform-nam=* | --program-transform-na=* \
877   | --program-transform-n=* | --program-transform-=* \
878   | --program-transform=* | --program-transfor=* \
879   | --program-transfo=* | --program-transf=* \
880   | --program-trans=* | --program-tran=* \
881   | --progr-tra=* | --program-tr=* | --program-t=*)
882     program_transform_name=$ac_optarg ;;
883
884   -pdfdir | --pdfdir | --pdfdi | --pdfd | --pdf | --pd)
885     ac_prev=pdfdir ;;
886   -pdfdir=* | --pdfdir=* | --pdfdi=* | --pdfd=* | --pdf=* | --pd=*)
887     pdfdir=$ac_optarg ;;
888
889   -psdir | --psdir | --psdi | --psd | --ps)
890     ac_prev=psdir ;;
891   -psdir=* | --psdir=* | --psdi=* | --psd=* | --ps=*)
892     psdir=$ac_optarg ;;
893
894   -q | -quiet | --quiet | --quie | --qui | --qu | --q \
895   | -silent | --silent | --silen | --sile | --sil)
896     silent=yes ;;
897
898   -sbindir | --sbindir | --sbindi | --sbind | --sbin | --sbi | --sb)
899     ac_prev=sbindir ;;
900   -sbindir=* | --sbindir=* | --sbindi=* | --sbind=* | --sbin=* \
901   | --sbi=* | --sb=*)
902     sbindir=$ac_optarg ;;
903
904   -sharedstatedir | --sharedstatedir | --sharedstatedi \
905   | --sharedstated | --sharedstate | --sharedstat | --sharedsta \
906   | --sharedst | --shareds | --shared | --share | --shar \
907   | --sha | --sh)
908     ac_prev=sharedstatedir ;;
909   -sharedstatedir=* | --sharedstatedir=* | --sharedstatedi=* \
910   | --sharedstated=* | --sharedstate=* | --sharedstat=* | --sharedsta=* \
911   | --sharedst=* | --shareds=* | --shared=* | --share=* | --shar=* \
912   | --sha=* | --sh=*)
913     sharedstatedir=$ac_optarg ;;
914
915   -site | --site | --sit)
916     ac_prev=site ;;
917   -site=* | --site=* | --sit=*)
918     site=$ac_optarg ;;
919
920   -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
921     ac_prev=srcdir ;;
922   -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
923     srcdir=$ac_optarg ;;
924
925   -sysconfdir | --sysconfdir | --sysconfdi | --sysconfd | --sysconf \
926   | --syscon | --sysco | --sysc | --sys | --sy)
927     ac_prev=sysconfdir ;;
928   -sysconfdir=* | --sysconfdir=* | --sysconfdi=* | --sysconfd=* | --sysconf=* \
929   | --syscon=* | --sysco=* | --sysc=* | --sys=* | --sy=*)
930     sysconfdir=$ac_optarg ;;
931
932   -target | --target | --targe | --targ | --tar | --ta | --t)
933     ac_prev=target_alias ;;
934   -target=* | --target=* | --targe=* | --targ=* | --tar=* | --ta=* | --t=*)
935     target_alias=$ac_optarg ;;
936
937   -v | -verbose | --verbose | --verbos | --verbo | --verb)
938     verbose=yes ;;
939
940   -version | --version | --versio | --versi | --vers | -V)
941     ac_init_version=: ;;
942
943   -with-* | --with-*)
944     ac_package=`expr "x$ac_option" : 'x-*with-\([^=]*\)'`
945     # Reject names that are not valid shell variable names.
946     expr "x$ac_package" : ".*[^-._$as_cr_alnum]" >/dev/null &&
947       { echo "$as_me: error: invalid package name: $ac_package" >&2
948    { (exit 1); exit 1; }; }
949     ac_package=`echo $ac_package | sed 's/[-.]/_/g'`
950     eval with_$ac_package=\$ac_optarg ;;
951
952   -without-* | --without-*)
953     ac_package=`expr "x$ac_option" : 'x-*without-\(.*\)'`
954     # Reject names that are not valid shell variable names.
955     expr "x$ac_package" : ".*[^-._$as_cr_alnum]" >/dev/null &&
956       { echo "$as_me: error: invalid package name: $ac_package" >&2
957    { (exit 1); exit 1; }; }
958     ac_package=`echo $ac_package | sed 's/[-.]/_/g'`
959     eval with_$ac_package=no ;;
960
961   --x)
962     # Obsolete; use --with-x.
963     with_x=yes ;;
964
965   -x-includes | --x-includes | --x-include | --x-includ | --x-inclu \
966   | --x-incl | --x-inc | --x-in | --x-i)
967     ac_prev=x_includes ;;
968   -x-includes=* | --x-includes=* | --x-include=* | --x-includ=* | --x-inclu=* \
969   | --x-incl=* | --x-inc=* | --x-in=* | --x-i=*)
970     x_includes=$ac_optarg ;;
971
972   -x-libraries | --x-libraries | --x-librarie | --x-librari \
973   | --x-librar | --x-libra | --x-libr | --x-lib | --x-li | --x-l)
974     ac_prev=x_libraries ;;
975   -x-libraries=* | --x-libraries=* | --x-librarie=* | --x-librari=* \
976   | --x-librar=* | --x-libra=* | --x-libr=* | --x-lib=* | --x-li=* | --x-l=*)
977     x_libraries=$ac_optarg ;;
978
979   -*) { echo "$as_me: error: unrecognized option: $ac_option
980 Try \`$0 --help' for more information." >&2
981    { (exit 1); exit 1; }; }
982     ;;
983
984   *=*)
985     ac_envvar=`expr "x$ac_option" : 'x\([^=]*\)='`
986     # Reject names that are not valid shell variable names.
987     expr "x$ac_envvar" : ".*[^_$as_cr_alnum]" >/dev/null &&
988       { echo "$as_me: error: invalid variable name: $ac_envvar" >&2
989    { (exit 1); exit 1; }; }
990     eval $ac_envvar=\$ac_optarg
991     export $ac_envvar ;;
992
993   *)
994     # FIXME: should be removed in autoconf 3.0.
995     echo "$as_me: WARNING: you should use --build, --host, --target" >&2
996     expr "x$ac_option" : ".*[^-._$as_cr_alnum]" >/dev/null &&
997       echo "$as_me: WARNING: invalid host type: $ac_option" >&2
998     : ${build_alias=$ac_option} ${host_alias=$ac_option} ${target_alias=$ac_option}
999     ;;
1000
1001   esac
1002 done
1003
1004 if test -n "$ac_prev"; then
1005   ac_option=--`echo $ac_prev | sed 's/_/-/g'`
1006   { echo "$as_me: error: missing argument to $ac_option" >&2
1007    { (exit 1); exit 1; }; }
1008 fi
1009
1010 # Be sure to have absolute directory names.
1011 for ac_var in   exec_prefix prefix bindir sbindir libexecdir datarootdir \
1012                 datadir sysconfdir sharedstatedir localstatedir includedir \
1013                 oldincludedir docdir infodir htmldir dvidir pdfdir psdir \
1014                 libdir localedir mandir
1015 do
1016   eval ac_val=\$$ac_var
1017   case $ac_val in
1018     [\\/$]* | ?:[\\/]* )  continue;;
1019     NONE | '' ) case $ac_var in *prefix ) continue;; esac;;
1020   esac
1021   { echo "$as_me: error: expected an absolute directory name for --$ac_var: $ac_val" >&2
1022    { (exit 1); exit 1; }; }
1023 done
1024
1025 # There might be people who depend on the old broken behavior: `$host'
1026 # used to hold the argument of --host etc.
1027 # FIXME: To remove some day.
1028 build=$build_alias
1029 host=$host_alias
1030 target=$target_alias
1031
1032 # FIXME: To remove some day.
1033 if test "x$host_alias" != x; then
1034   if test "x$build_alias" = x; then
1035     cross_compiling=maybe
1036     echo "$as_me: WARNING: If you wanted to set the --build type, don't use --host.
1037     If a cross compiler is detected then cross compile mode will be used." >&2
1038   elif test "x$build_alias" != "x$host_alias"; then
1039     cross_compiling=yes
1040   fi
1041 fi
1042
1043 ac_tool_prefix=
1044 test -n "$host_alias" && ac_tool_prefix=$host_alias-
1045
1046 test "$silent" = yes && exec 6>/dev/null
1047
1048
1049 ac_pwd=`pwd` && test -n "$ac_pwd" &&
1050 ac_ls_di=`ls -di .` &&
1051 ac_pwd_ls_di=`cd "$ac_pwd" && ls -di .` ||
1052   { echo "$as_me: error: Working directory cannot be determined" >&2
1053    { (exit 1); exit 1; }; }
1054 test "X$ac_ls_di" = "X$ac_pwd_ls_di" ||
1055   { echo "$as_me: error: pwd does not report name of working directory" >&2
1056    { (exit 1); exit 1; }; }
1057
1058
1059 # Find the source files, if location was not specified.
1060 if test -z "$srcdir"; then
1061   ac_srcdir_defaulted=yes
1062   # Try the directory containing this script, then the parent directory.
1063   ac_confdir=`$as_dirname -- "$0" ||
1064 $as_expr X"$0" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1065          X"$0" : 'X\(//\)[^/]' \| \
1066          X"$0" : 'X\(//\)$' \| \
1067          X"$0" : 'X\(/\)' \| . 2>/dev/null ||
1068 echo X"$0" |
1069     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
1070             s//\1/
1071             q
1072           }
1073           /^X\(\/\/\)[^/].*/{
1074             s//\1/
1075             q
1076           }
1077           /^X\(\/\/\)$/{
1078             s//\1/
1079             q
1080           }
1081           /^X\(\/\).*/{
1082             s//\1/
1083             q
1084           }
1085           s/.*/./; q'`
1086   srcdir=$ac_confdir
1087   if test ! -r "$srcdir/$ac_unique_file"; then
1088     srcdir=..
1089   fi
1090 else
1091   ac_srcdir_defaulted=no
1092 fi
1093 if test ! -r "$srcdir/$ac_unique_file"; then
1094   test "$ac_srcdir_defaulted" = yes && srcdir="$ac_confdir or .."
1095   { echo "$as_me: error: cannot find sources ($ac_unique_file) in $srcdir" >&2
1096    { (exit 1); exit 1; }; }
1097 fi
1098 ac_msg="sources are in $srcdir, but \`cd $srcdir' does not work"
1099 ac_abs_confdir=`(
1100         cd "$srcdir" && test -r "./$ac_unique_file" || { echo "$as_me: error: $ac_msg" >&2
1101    { (exit 1); exit 1; }; }
1102         pwd)`
1103 # When building in place, set srcdir=.
1104 if test "$ac_abs_confdir" = "$ac_pwd"; then
1105   srcdir=.
1106 fi
1107 # Remove unnecessary trailing slashes from srcdir.
1108 # Double slashes in file names in object file debugging info
1109 # mess up M-x gdb in Emacs.
1110 case $srcdir in
1111 */) srcdir=`expr "X$srcdir" : 'X\(.*[^/]\)' \| "X$srcdir" : 'X\(.*\)'`;;
1112 esac
1113 for ac_var in $ac_precious_vars; do
1114   eval ac_env_${ac_var}_set=\${${ac_var}+set}
1115   eval ac_env_${ac_var}_value=\$${ac_var}
1116   eval ac_cv_env_${ac_var}_set=\${${ac_var}+set}
1117   eval ac_cv_env_${ac_var}_value=\$${ac_var}
1118 done
1119
1120 #
1121 # Report the --help message.
1122 #
1123 if test "$ac_init_help" = "long"; then
1124   # Omit some internal or obsolete options to make the list less imposing.
1125   # This message is too long to be a string in the A/UX 3.1 sh.
1126   cat <<_ACEOF
1127 \`configure' configures this package to adapt to many kinds of systems.
1128
1129 Usage: $0 [OPTION]... [VAR=VALUE]...
1130
1131 To assign environment variables (e.g., CC, CFLAGS...), specify them as
1132 VAR=VALUE.  See below for descriptions of some of the useful variables.
1133
1134 Defaults for the options are specified in brackets.
1135
1136 Configuration:
1137   -h, --help              display this help and exit
1138       --help=short        display options specific to this package
1139       --help=recursive    display the short help of all the included packages
1140   -V, --version           display version information and exit
1141   -q, --quiet, --silent   do not print \`checking...' messages
1142       --cache-file=FILE   cache test results in FILE [disabled]
1143   -C, --config-cache      alias for \`--cache-file=config.cache'
1144   -n, --no-create         do not create output files
1145       --srcdir=DIR        find the sources in DIR [configure dir or \`..']
1146
1147 Installation directories:
1148   --prefix=PREFIX         install architecture-independent files in PREFIX
1149                           [$ac_default_prefix]
1150   --exec-prefix=EPREFIX   install architecture-dependent files in EPREFIX
1151                           [PREFIX]
1152
1153 By default, \`make install' will install all the files in
1154 \`$ac_default_prefix/bin', \`$ac_default_prefix/lib' etc.  You can specify
1155 an installation prefix other than \`$ac_default_prefix' using \`--prefix',
1156 for instance \`--prefix=\$HOME'.
1157
1158 For better control, use the options below.
1159
1160 Fine tuning of the installation directories:
1161   --bindir=DIR           user executables [EPREFIX/bin]
1162   --sbindir=DIR          system admin executables [EPREFIX/sbin]
1163   --libexecdir=DIR       program executables [EPREFIX/libexec]
1164   --sysconfdir=DIR       read-only single-machine data [PREFIX/etc]
1165   --sharedstatedir=DIR   modifiable architecture-independent data [PREFIX/com]
1166   --localstatedir=DIR    modifiable single-machine data [PREFIX/var]
1167   --libdir=DIR           object code libraries [EPREFIX/lib]
1168   --includedir=DIR       C header files [PREFIX/include]
1169   --oldincludedir=DIR    C header files for non-gcc [/usr/include]
1170   --datarootdir=DIR      read-only arch.-independent data root [PREFIX/share]
1171   --datadir=DIR          read-only architecture-independent data [DATAROOTDIR]
1172   --infodir=DIR          info documentation [DATAROOTDIR/info]
1173   --localedir=DIR        locale-dependent data [DATAROOTDIR/locale]
1174   --mandir=DIR           man documentation [DATAROOTDIR/man]
1175   --docdir=DIR           documentation root [DATAROOTDIR/doc/PACKAGE]
1176   --htmldir=DIR          html documentation [DOCDIR]
1177   --dvidir=DIR           dvi documentation [DOCDIR]
1178   --pdfdir=DIR           pdf documentation [DOCDIR]
1179   --psdir=DIR            ps documentation [DOCDIR]
1180 _ACEOF
1181
1182   cat <<\_ACEOF
1183 _ACEOF
1184 fi
1185
1186 if test -n "$ac_init_help"; then
1187
1188   cat <<\_ACEOF
1189
1190 _ACEOF
1191 ac_status=$?
1192 fi
1193
1194 if test "$ac_init_help" = "recursive"; then
1195   # If there are subdirs, report their specific --help.
1196   for ac_dir in : $ac_subdirs_all; do test "x$ac_dir" = x: && continue
1197     test -d "$ac_dir" || continue
1198     ac_builddir=.
1199
1200 case "$ac_dir" in
1201 .) ac_dir_suffix= ac_top_builddir_sub=. ac_top_build_prefix= ;;
1202 *)
1203   ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
1204   # A ".." for each directory in $ac_dir_suffix.
1205   ac_top_builddir_sub=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,/..,g;s,/,,'`
1206   case $ac_top_builddir_sub in
1207   "") ac_top_builddir_sub=. ac_top_build_prefix= ;;
1208   *)  ac_top_build_prefix=$ac_top_builddir_sub/ ;;
1209   esac ;;
1210 esac
1211 ac_abs_top_builddir=$ac_pwd
1212 ac_abs_builddir=$ac_pwd$ac_dir_suffix
1213 # for backward compatibility:
1214 ac_top_builddir=$ac_top_build_prefix
1215
1216 case $srcdir in
1217   .)  # We are building in place.
1218     ac_srcdir=.
1219     ac_top_srcdir=$ac_top_builddir_sub
1220     ac_abs_top_srcdir=$ac_pwd ;;
1221   [\\/]* | ?:[\\/]* )  # Absolute name.
1222     ac_srcdir=$srcdir$ac_dir_suffix;
1223     ac_top_srcdir=$srcdir
1224     ac_abs_top_srcdir=$srcdir ;;
1225   *) # Relative name.
1226     ac_srcdir=$ac_top_build_prefix$srcdir$ac_dir_suffix
1227     ac_top_srcdir=$ac_top_build_prefix$srcdir
1228     ac_abs_top_srcdir=$ac_pwd/$srcdir ;;
1229 esac
1230 ac_abs_srcdir=$ac_abs_top_srcdir$ac_dir_suffix
1231
1232     cd "$ac_dir" || { ac_status=$?; continue; }
1233     # Check for guested configure.
1234     if test -f "$ac_srcdir/configure.gnu"; then
1235       echo &&
1236       $SHELL "$ac_srcdir/configure.gnu" --help=recursive
1237     elif test -f "$ac_srcdir/configure"; then
1238       echo &&
1239       $SHELL "$ac_srcdir/configure" --help=recursive
1240     else
1241       echo "$as_me: WARNING: no configuration information is in $ac_dir" >&2
1242     fi || ac_status=$?
1243     cd "$ac_pwd" || { ac_status=$?; break; }
1244   done
1245 fi
1246
1247 test -n "$ac_init_help" && exit $ac_status
1248 if $ac_init_version; then
1249   cat <<\_ACEOF
1250 configure
1251 generated by GNU Autoconf 2.61
1252
1253 Copyright (C) 1992, 1993, 1994, 1995, 1996, 1998, 1999, 2000, 2001,
1254 2002, 2003, 2004, 2005, 2006 Free Software Foundation, Inc.
1255 This configure script is free software; the Free Software Foundation
1256 gives unlimited permission to copy, distribute and modify it.
1257 _ACEOF
1258   exit
1259 fi
1260 cat >config.log <<_ACEOF
1261 This file contains any messages produced by compilers while
1262 running configure, to aid debugging if configure makes a mistake.
1263
1264 It was created by $as_me, which was
1265 generated by GNU Autoconf 2.61.  Invocation command line was
1266
1267   $ $0 $@
1268
1269 _ACEOF
1270 exec 5>>config.log
1271 {
1272 cat <<_ASUNAME
1273 ## --------- ##
1274 ## Platform. ##
1275 ## --------- ##
1276
1277 hostname = `(hostname || uname -n) 2>/dev/null | sed 1q`
1278 uname -m = `(uname -m) 2>/dev/null || echo unknown`
1279 uname -r = `(uname -r) 2>/dev/null || echo unknown`
1280 uname -s = `(uname -s) 2>/dev/null || echo unknown`
1281 uname -v = `(uname -v) 2>/dev/null || echo unknown`
1282
1283 /usr/bin/uname -p = `(/usr/bin/uname -p) 2>/dev/null || echo unknown`
1284 /bin/uname -X     = `(/bin/uname -X) 2>/dev/null     || echo unknown`
1285
1286 /bin/arch              = `(/bin/arch) 2>/dev/null              || echo unknown`
1287 /usr/bin/arch -k       = `(/usr/bin/arch -k) 2>/dev/null       || echo unknown`
1288 /usr/convex/getsysinfo = `(/usr/convex/getsysinfo) 2>/dev/null || echo unknown`
1289 /usr/bin/hostinfo      = `(/usr/bin/hostinfo) 2>/dev/null      || echo unknown`
1290 /bin/machine           = `(/bin/machine) 2>/dev/null           || echo unknown`
1291 /usr/bin/oslevel       = `(/usr/bin/oslevel) 2>/dev/null       || echo unknown`
1292 /bin/universe          = `(/bin/universe) 2>/dev/null          || echo unknown`
1293
1294 _ASUNAME
1295
1296 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
1297 for as_dir in $PATH
1298 do
1299   IFS=$as_save_IFS
1300   test -z "$as_dir" && as_dir=.
1301   echo "PATH: $as_dir"
1302 done
1303 IFS=$as_save_IFS
1304
1305 } >&5
1306
1307 cat >&5 <<_ACEOF
1308
1309
1310 ## ----------- ##
1311 ## Core tests. ##
1312 ## ----------- ##
1313
1314 _ACEOF
1315
1316
1317 # Keep a trace of the command line.
1318 # Strip out --no-create and --no-recursion so they do not pile up.
1319 # Strip out --silent because we don't want to record it for future runs.
1320 # Also quote any args containing shell meta-characters.
1321 # Make two passes to allow for proper duplicate-argument suppression.
1322 ac_configure_args=
1323 ac_configure_args0=
1324 ac_configure_args1=
1325 ac_must_keep_next=false
1326 for ac_pass in 1 2
1327 do
1328   for ac_arg
1329   do
1330     case $ac_arg in
1331     -no-create | --no-c* | -n | -no-recursion | --no-r*) continue ;;
1332     -q | -quiet | --quiet | --quie | --qui | --qu | --q \
1333     | -silent | --silent | --silen | --sile | --sil)
1334       continue ;;
1335     *\'*)
1336       ac_arg=`echo "$ac_arg" | sed "s/'/'\\\\\\\\''/g"` ;;
1337     esac
1338     case $ac_pass in
1339     1) ac_configure_args0="$ac_configure_args0 '$ac_arg'" ;;
1340     2)
1341       ac_configure_args1="$ac_configure_args1 '$ac_arg'"
1342       if test $ac_must_keep_next = true; then
1343         ac_must_keep_next=false # Got value, back to normal.
1344       else
1345         case $ac_arg in
1346           *=* | --config-cache | -C | -disable-* | --disable-* \
1347           | -enable-* | --enable-* | -gas | --g* | -nfp | --nf* \
1348           | -q | -quiet | --q* | -silent | --sil* | -v | -verb* \
1349           | -with-* | --with-* | -without-* | --without-* | --x)
1350             case "$ac_configure_args0 " in
1351               "$ac_configure_args1"*" '$ac_arg' "* ) continue ;;
1352             esac
1353             ;;
1354           -* ) ac_must_keep_next=true ;;
1355         esac
1356       fi
1357       ac_configure_args="$ac_configure_args '$ac_arg'"
1358       ;;
1359     esac
1360   done
1361 done
1362 $as_unset ac_configure_args0 || test "${ac_configure_args0+set}" != set || { ac_configure_args0=; export ac_configure_args0; }
1363 $as_unset ac_configure_args1 || test "${ac_configure_args1+set}" != set || { ac_configure_args1=; export ac_configure_args1; }
1364
1365 # When interrupted or exit'd, cleanup temporary files, and complete
1366 # config.log.  We remove comments because anyway the quotes in there
1367 # would cause problems or look ugly.
1368 # WARNING: Use '\'' to represent an apostrophe within the trap.
1369 # WARNING: Do not start the trap code with a newline, due to a FreeBSD 4.0 bug.
1370 trap 'exit_status=$?
1371   # Save into config.log some information that might help in debugging.
1372   {
1373     echo
1374
1375     cat <<\_ASBOX
1376 ## ---------------- ##
1377 ## Cache variables. ##
1378 ## ---------------- ##
1379 _ASBOX
1380     echo
1381     # The following way of writing the cache mishandles newlines in values,
1382 (
1383   for ac_var in `(set) 2>&1 | sed -n '\''s/^\([a-zA-Z_][a-zA-Z0-9_]*\)=.*/\1/p'\''`; do
1384     eval ac_val=\$$ac_var
1385     case $ac_val in #(
1386     *${as_nl}*)
1387       case $ac_var in #(
1388       *_cv_*) { echo "$as_me:$LINENO: WARNING: Cache variable $ac_var contains a newline." >&5
1389 echo "$as_me: WARNING: Cache variable $ac_var contains a newline." >&2;} ;;
1390       esac
1391       case $ac_var in #(
1392       _ | IFS | as_nl) ;; #(
1393       *) $as_unset $ac_var ;;
1394       esac ;;
1395     esac
1396   done
1397   (set) 2>&1 |
1398     case $as_nl`(ac_space='\'' '\''; set) 2>&1` in #(
1399     *${as_nl}ac_space=\ *)
1400       sed -n \
1401         "s/'\''/'\''\\\\'\'''\''/g;
1402           s/^\\([_$as_cr_alnum]*_cv_[_$as_cr_alnum]*\\)=\\(.*\\)/\\1='\''\\2'\''/p"
1403       ;; #(
1404     *)
1405       sed -n "/^[_$as_cr_alnum]*_cv_[_$as_cr_alnum]*=/p"
1406       ;;
1407     esac |
1408     sort
1409 )
1410     echo
1411
1412     cat <<\_ASBOX
1413 ## ----------------- ##
1414 ## Output variables. ##
1415 ## ----------------- ##
1416 _ASBOX
1417     echo
1418     for ac_var in $ac_subst_vars
1419     do
1420       eval ac_val=\$$ac_var
1421       case $ac_val in
1422       *\'\''*) ac_val=`echo "$ac_val" | sed "s/'\''/'\''\\\\\\\\'\'''\''/g"`;;
1423       esac
1424       echo "$ac_var='\''$ac_val'\''"
1425     done | sort
1426     echo
1427
1428     if test -n "$ac_subst_files"; then
1429       cat <<\_ASBOX
1430 ## ------------------- ##
1431 ## File substitutions. ##
1432 ## ------------------- ##
1433 _ASBOX
1434       echo
1435       for ac_var in $ac_subst_files
1436       do
1437         eval ac_val=\$$ac_var
1438         case $ac_val in
1439         *\'\''*) ac_val=`echo "$ac_val" | sed "s/'\''/'\''\\\\\\\\'\'''\''/g"`;;
1440         esac
1441         echo "$ac_var='\''$ac_val'\''"
1442       done | sort
1443       echo
1444     fi
1445
1446     if test -s confdefs.h; then
1447       cat <<\_ASBOX
1448 ## ----------- ##
1449 ## confdefs.h. ##
1450 ## ----------- ##
1451 _ASBOX
1452       echo
1453       cat confdefs.h
1454       echo
1455     fi
1456     test "$ac_signal" != 0 &&
1457       echo "$as_me: caught signal $ac_signal"
1458     echo "$as_me: exit $exit_status"
1459   } >&5
1460   rm -f core *.core core.conftest.* &&
1461     rm -f -r conftest* confdefs* conf$$* $ac_clean_files &&
1462     exit $exit_status
1463 ' 0
1464 for ac_signal in 1 2 13 15; do
1465   trap 'ac_signal='$ac_signal'; { (exit 1); exit 1; }' $ac_signal
1466 done
1467 ac_signal=0
1468
1469 # confdefs.h avoids OS command line length limits that DEFS can exceed.
1470 rm -f -r conftest* confdefs.h
1471
1472 # Predefined preprocessor variables.
1473
1474 cat >>confdefs.h <<_ACEOF
1475 #define PACKAGE_NAME "$PACKAGE_NAME"
1476 _ACEOF
1477
1478
1479 cat >>confdefs.h <<_ACEOF
1480 #define PACKAGE_TARNAME "$PACKAGE_TARNAME"
1481 _ACEOF
1482
1483
1484 cat >>confdefs.h <<_ACEOF
1485 #define PACKAGE_VERSION "$PACKAGE_VERSION"
1486 _ACEOF
1487
1488
1489 cat >>confdefs.h <<_ACEOF
1490 #define PACKAGE_STRING "$PACKAGE_STRING"
1491 _ACEOF
1492
1493
1494 cat >>confdefs.h <<_ACEOF
1495 #define PACKAGE_BUGREPORT "$PACKAGE_BUGREPORT"
1496 _ACEOF
1497
1498
1499 # Let the site file select an alternate cache file if it wants to.
1500 # Prefer explicitly selected file to automatically selected ones.
1501 if test -n "$CONFIG_SITE"; then
1502   set x "$CONFIG_SITE"
1503 elif test "x$prefix" != xNONE; then
1504   set x "$prefix/share/config.site" "$prefix/etc/config.site"
1505 else
1506   set x "$ac_default_prefix/share/config.site" \
1507         "$ac_default_prefix/etc/config.site"
1508 fi
1509 shift
1510 for ac_site_file
1511 do
1512   if test -r "$ac_site_file"; then
1513     { echo "$as_me:$LINENO: loading site script $ac_site_file" >&5
1514 echo "$as_me: loading site script $ac_site_file" >&6;}
1515     sed 's/^/| /' "$ac_site_file" >&5
1516     . "$ac_site_file"
1517   fi
1518 done
1519
1520 if test -r "$cache_file"; then
1521   # Some versions of bash will fail to source /dev/null (special
1522   # files actually), so we avoid doing that.
1523   if test -f "$cache_file"; then
1524     { echo "$as_me:$LINENO: loading cache $cache_file" >&5
1525 echo "$as_me: loading cache $cache_file" >&6;}
1526     case $cache_file in
1527       [\\/]* | ?:[\\/]* ) . "$cache_file";;
1528       *)                      . "./$cache_file";;
1529     esac
1530   fi
1531 else
1532   { echo "$as_me:$LINENO: creating cache $cache_file" >&5
1533 echo "$as_me: creating cache $cache_file" >&6;}
1534   >$cache_file
1535 fi
1536
1537 # Check that the precious variables saved in the cache have kept the same
1538 # value.
1539 ac_cache_corrupted=false
1540 for ac_var in $ac_precious_vars; do
1541   eval ac_old_set=\$ac_cv_env_${ac_var}_set
1542   eval ac_new_set=\$ac_env_${ac_var}_set
1543   eval ac_old_val=\$ac_cv_env_${ac_var}_value
1544   eval ac_new_val=\$ac_env_${ac_var}_value
1545   case $ac_old_set,$ac_new_set in
1546     set,)
1547       { echo "$as_me:$LINENO: error: \`$ac_var' was set to \`$ac_old_val' in the previous run" >&5
1548 echo "$as_me: error: \`$ac_var' was set to \`$ac_old_val' in the previous run" >&2;}
1549       ac_cache_corrupted=: ;;
1550     ,set)
1551       { echo "$as_me:$LINENO: error: \`$ac_var' was not set in the previous run" >&5
1552 echo "$as_me: error: \`$ac_var' was not set in the previous run" >&2;}
1553       ac_cache_corrupted=: ;;
1554     ,);;
1555     *)
1556       if test "x$ac_old_val" != "x$ac_new_val"; then
1557         { echo "$as_me:$LINENO: error: \`$ac_var' has changed since the previous run:" >&5
1558 echo "$as_me: error: \`$ac_var' has changed since the previous run:" >&2;}
1559         { echo "$as_me:$LINENO:   former value:  $ac_old_val" >&5
1560 echo "$as_me:   former value:  $ac_old_val" >&2;}
1561         { echo "$as_me:$LINENO:   current value: $ac_new_val" >&5
1562 echo "$as_me:   current value: $ac_new_val" >&2;}
1563         ac_cache_corrupted=:
1564       fi;;
1565   esac
1566   # Pass precious variables to config.status.
1567   if test "$ac_new_set" = set; then
1568     case $ac_new_val in
1569     *\'*) ac_arg=$ac_var=`echo "$ac_new_val" | sed "s/'/'\\\\\\\\''/g"` ;;
1570     *) ac_arg=$ac_var=$ac_new_val ;;
1571     esac
1572     case " $ac_configure_args " in
1573       *" '$ac_arg' "*) ;; # Avoid dups.  Use of quotes ensures accuracy.
1574       *) ac_configure_args="$ac_configure_args '$ac_arg'" ;;
1575     esac
1576   fi
1577 done
1578 if $ac_cache_corrupted; then
1579   { echo "$as_me:$LINENO: error: changes in the environment can compromise the build" >&5
1580 echo "$as_me: error: changes in the environment can compromise the build" >&2;}
1581   { { echo "$as_me:$LINENO: error: run \`make distclean' and/or \`rm $cache_file' and start over" >&5
1582 echo "$as_me: error: run \`make distclean' and/or \`rm $cache_file' and start over" >&2;}
1583    { (exit 1); exit 1; }; }
1584 fi
1585
1586
1587
1588
1589
1590
1591
1592
1593
1594
1595
1596
1597
1598
1599
1600
1601
1602 ac_ext=c
1603 ac_cpp='$CPP $CPPFLAGS'
1604 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
1605 ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
1606 ac_compiler_gnu=$ac_cv_c_compiler_gnu
1607
1608
1609
1610
1611
1612 if test x$with_rlm_rediswho != xno; then
1613
1614
1615         targetname=rlm_rediswho
1616 else
1617         targetname=
1618         echo \*\*\* module rlm_rediswho is disabled.
1619 fi
1620
1621
1622
1623   unset ac_cv_env_LIBS_set
1624   unset ac_cv_env_LIBS_value
1625
1626   ac_config_files="$ac_config_files Makefile"
1627
1628 cat >confcache <<\_ACEOF
1629 # This file is a shell script that caches the results of configure
1630 # tests run on this system so they can be shared between configure
1631 # scripts and configure runs, see configure's option --config-cache.
1632 # It is not useful on other systems.  If it contains results you don't
1633 # want to keep, you may remove or edit it.
1634 #
1635 # config.status only pays attention to the cache file if you give it
1636 # the --recheck option to rerun configure.
1637 #
1638 # `ac_cv_env_foo' variables (set or unset) will be overridden when
1639 # loading this file, other *unset* `ac_cv_foo' will be assigned the
1640 # following values.
1641
1642 _ACEOF
1643
1644 # The following way of writing the cache mishandles newlines in values,
1645 # but we know of no workaround that is simple, portable, and efficient.
1646 # So, we kill variables containing newlines.
1647 # Ultrix sh set writes to stderr and can't be redirected directly,
1648 # and sets the high bit in the cache file unless we assign to the vars.
1649 (
1650   for ac_var in `(set) 2>&1 | sed -n 's/^\([a-zA-Z_][a-zA-Z0-9_]*\)=.*/\1/p'`; do
1651     eval ac_val=\$$ac_var
1652     case $ac_val in #(
1653     *${as_nl}*)
1654       case $ac_var in #(
1655       *_cv_*) { echo "$as_me:$LINENO: WARNING: Cache variable $ac_var contains a newline." >&5
1656 echo "$as_me: WARNING: Cache variable $ac_var contains a newline." >&2;} ;;
1657       esac
1658       case $ac_var in #(
1659       _ | IFS | as_nl) ;; #(
1660       *) $as_unset $ac_var ;;
1661       esac ;;
1662     esac
1663   done
1664
1665   (set) 2>&1 |
1666     case $as_nl`(ac_space=' '; set) 2>&1` in #(
1667     *${as_nl}ac_space=\ *)
1668       # `set' does not quote correctly, so add quotes (double-quote
1669       # substitution turns \\\\ into \\, and sed turns \\ into \).
1670       sed -n \
1671         "s/'/'\\\\''/g;
1672           s/^\\([_$as_cr_alnum]*_cv_[_$as_cr_alnum]*\\)=\\(.*\\)/\\1='\\2'/p"
1673       ;; #(
1674     *)
1675       # `set' quotes correctly as required by POSIX, so do not add quotes.
1676       sed -n "/^[_$as_cr_alnum]*_cv_[_$as_cr_alnum]*=/p"
1677       ;;
1678     esac |
1679     sort
1680 ) |
1681   sed '
1682      /^ac_cv_env_/b end
1683      t clear
1684      :clear
1685      s/^\([^=]*\)=\(.*[{}].*\)$/test "${\1+set}" = set || &/
1686      t end
1687      s/^\([^=]*\)=\(.*\)$/\1=${\1=\2}/
1688      :end' >>confcache
1689 if diff "$cache_file" confcache >/dev/null 2>&1; then :; else
1690   if test -w "$cache_file"; then
1691     test "x$cache_file" != "x/dev/null" &&
1692       { echo "$as_me:$LINENO: updating cache $cache_file" >&5
1693 echo "$as_me: updating cache $cache_file" >&6;}
1694     cat confcache >$cache_file
1695   else
1696     { echo "$as_me:$LINENO: not updating unwritable cache $cache_file" >&5
1697 echo "$as_me: not updating unwritable cache $cache_file" >&6;}
1698   fi
1699 fi
1700 rm -f confcache
1701
1702 test "x$prefix" = xNONE && prefix=$ac_default_prefix
1703 # Let make expand exec_prefix.
1704 test "x$exec_prefix" = xNONE && exec_prefix='${prefix}'
1705
1706 # Transform confdefs.h into DEFS.
1707 # Protect against shell expansion while executing Makefile rules.
1708 # Protect against Makefile macro expansion.
1709 #
1710 # If the first sed substitution is executed (which looks for macros that
1711 # take arguments), then branch to the quote section.  Otherwise,
1712 # look for a macro that doesn't take arguments.
1713 ac_script='
1714 t clear
1715 :clear
1716 s/^[     ]*#[    ]*define[       ][      ]*\([^  (][^    (]*([^)]*)\)[   ]*\(.*\)/-D\1=\2/g
1717 t quote
1718 s/^[     ]*#[    ]*define[       ][      ]*\([^  ][^     ]*\)[   ]*\(.*\)/-D\1=\2/g
1719 t quote
1720 b any
1721 :quote
1722 s/[      `~#$^&*(){}\\|;'\''"<>?]/\\&/g
1723 s/\[/\\&/g
1724 s/\]/\\&/g
1725 s/\$/$$/g
1726 H
1727 :any
1728 ${
1729         g
1730         s/^\n//
1731         s/\n/ /g
1732         p
1733 }
1734 '
1735 DEFS=`sed -n "$ac_script" confdefs.h`
1736
1737
1738 ac_libobjs=
1739 ac_ltlibobjs=
1740 for ac_i in : $LIBOBJS; do test "x$ac_i" = x: && continue
1741   # 1. Remove the extension, and $U if already installed.
1742   ac_script='s/\$U\././;s/\.o$//;s/\.obj$//'
1743   ac_i=`echo "$ac_i" | sed "$ac_script"`
1744   # 2. Prepend LIBOBJDIR.  When used with automake>=1.10 LIBOBJDIR
1745   #    will be set to the directory where LIBOBJS objects are built.
1746   ac_libobjs="$ac_libobjs \${LIBOBJDIR}$ac_i\$U.$ac_objext"
1747   ac_ltlibobjs="$ac_ltlibobjs \${LIBOBJDIR}$ac_i"'$U.lo'
1748 done
1749 LIBOBJS=$ac_libobjs
1750
1751 LTLIBOBJS=$ac_ltlibobjs
1752
1753
1754
1755 : ${CONFIG_STATUS=./config.status}
1756 ac_clean_files_save=$ac_clean_files
1757 ac_clean_files="$ac_clean_files $CONFIG_STATUS"
1758 { echo "$as_me:$LINENO: creating $CONFIG_STATUS" >&5
1759 echo "$as_me: creating $CONFIG_STATUS" >&6;}
1760 cat >$CONFIG_STATUS <<_ACEOF
1761 #! $SHELL
1762 # Generated by $as_me.
1763 # Run this file to recreate the current configuration.
1764 # Compiler output produced by configure, useful for debugging
1765 # configure, is in config.log if it exists.
1766
1767 debug=false
1768 ac_cs_recheck=false
1769 ac_cs_silent=false
1770 SHELL=\${CONFIG_SHELL-$SHELL}
1771 _ACEOF
1772
1773 cat >>$CONFIG_STATUS <<\_ACEOF
1774 ## --------------------- ##
1775 ## M4sh Initialization.  ##
1776 ## --------------------- ##
1777
1778 # Be more Bourne compatible
1779 DUALCASE=1; export DUALCASE # for MKS sh
1780 if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
1781   emulate sh
1782   NULLCMD=:
1783   # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
1784   # is contrary to our usage.  Disable this feature.
1785   alias -g '${1+"$@"}'='"$@"'
1786   setopt NO_GLOB_SUBST
1787 else
1788   case `(set -o) 2>/dev/null` in
1789   *posix*) set -o posix ;;
1790 esac
1791
1792 fi
1793
1794
1795
1796
1797 # PATH needs CR
1798 # Avoid depending upon Character Ranges.
1799 as_cr_letters='abcdefghijklmnopqrstuvwxyz'
1800 as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
1801 as_cr_Letters=$as_cr_letters$as_cr_LETTERS
1802 as_cr_digits='0123456789'
1803 as_cr_alnum=$as_cr_Letters$as_cr_digits
1804
1805 # The user is always right.
1806 if test "${PATH_SEPARATOR+set}" != set; then
1807   echo "#! /bin/sh" >conf$$.sh
1808   echo  "exit 0"   >>conf$$.sh
1809   chmod +x conf$$.sh
1810   if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
1811     PATH_SEPARATOR=';'
1812   else
1813     PATH_SEPARATOR=:
1814   fi
1815   rm -f conf$$.sh
1816 fi
1817
1818 # Support unset when possible.
1819 if ( (MAIL=60; unset MAIL) || exit) >/dev/null 2>&1; then
1820   as_unset=unset
1821 else
1822   as_unset=false
1823 fi
1824
1825
1826 # IFS
1827 # We need space, tab and new line, in precisely that order.  Quoting is
1828 # there to prevent editors from complaining about space-tab.
1829 # (If _AS_PATH_WALK were called with IFS unset, it would disable word
1830 # splitting by setting IFS to empty value.)
1831 as_nl='
1832 '
1833 IFS=" ""        $as_nl"
1834
1835 # Find who we are.  Look in the path if we contain no directory separator.
1836 case $0 in
1837   *[\\/]* ) as_myself=$0 ;;
1838   *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
1839 for as_dir in $PATH
1840 do
1841   IFS=$as_save_IFS
1842   test -z "$as_dir" && as_dir=.
1843   test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
1844 done
1845 IFS=$as_save_IFS
1846
1847      ;;
1848 esac
1849 # We did not find ourselves, most probably we were run as `sh COMMAND'
1850 # in which case we are not to be found in the path.
1851 if test "x$as_myself" = x; then
1852   as_myself=$0
1853 fi
1854 if test ! -f "$as_myself"; then
1855   echo "$as_myself: error: cannot find myself; rerun with an absolute file name" >&2
1856   { (exit 1); exit 1; }
1857 fi
1858
1859 # Work around bugs in pre-3.0 UWIN ksh.
1860 for as_var in ENV MAIL MAILPATH
1861 do ($as_unset $as_var) >/dev/null 2>&1 && $as_unset $as_var
1862 done
1863 PS1='$ '
1864 PS2='> '
1865 PS4='+ '
1866
1867 # NLS nuisances.
1868 for as_var in \
1869   LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION \
1870   LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER \
1871   LC_TELEPHONE LC_TIME
1872 do
1873   if (set +x; test -z "`(eval $as_var=C; export $as_var) 2>&1`"); then
1874     eval $as_var=C; export $as_var
1875   else
1876     ($as_unset $as_var) >/dev/null 2>&1 && $as_unset $as_var
1877   fi
1878 done
1879
1880 # Required to use basename.
1881 if expr a : '\(a\)' >/dev/null 2>&1 &&
1882    test "X`expr 00001 : '.*\(...\)'`" = X001; then
1883   as_expr=expr
1884 else
1885   as_expr=false
1886 fi
1887
1888 if (basename -- /) >/dev/null 2>&1 && test "X`basename -- / 2>&1`" = "X/"; then
1889   as_basename=basename
1890 else
1891   as_basename=false
1892 fi
1893
1894
1895 # Name of the executable.
1896 as_me=`$as_basename -- "$0" ||
1897 $as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
1898          X"$0" : 'X\(//\)$' \| \
1899          X"$0" : 'X\(/\)' \| . 2>/dev/null ||
1900 echo X/"$0" |
1901     sed '/^.*\/\([^/][^/]*\)\/*$/{
1902             s//\1/
1903             q
1904           }
1905           /^X\/\(\/\/\)$/{
1906             s//\1/
1907             q
1908           }
1909           /^X\/\(\/\).*/{
1910             s//\1/
1911             q
1912           }
1913           s/.*/./; q'`
1914
1915 # CDPATH.
1916 $as_unset CDPATH
1917
1918
1919
1920   as_lineno_1=$LINENO
1921   as_lineno_2=$LINENO
1922   test "x$as_lineno_1" != "x$as_lineno_2" &&
1923   test "x`expr $as_lineno_1 + 1`" = "x$as_lineno_2" || {
1924
1925   # Create $as_me.lineno as a copy of $as_myself, but with $LINENO
1926   # uniformly replaced by the line number.  The first 'sed' inserts a
1927   # line-number line after each line using $LINENO; the second 'sed'
1928   # does the real work.  The second script uses 'N' to pair each
1929   # line-number line with the line containing $LINENO, and appends
1930   # trailing '-' during substitution so that $LINENO is not a special
1931   # case at line end.
1932   # (Raja R Harinath suggested sed '=', and Paul Eggert wrote the
1933   # scripts with optimization help from Paolo Bonzini.  Blame Lee
1934   # E. McMahon (1931-1989) for sed's syntax.  :-)
1935   sed -n '
1936     p
1937     /[$]LINENO/=
1938   ' <$as_myself |
1939     sed '
1940       s/[$]LINENO.*/&-/
1941       t lineno
1942       b
1943       :lineno
1944       N
1945       :loop
1946       s/[$]LINENO\([^'$as_cr_alnum'_].*\n\)\(.*\)/\2\1\2/
1947       t loop
1948       s/-\n.*//
1949     ' >$as_me.lineno &&
1950   chmod +x "$as_me.lineno" ||
1951     { echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2
1952    { (exit 1); exit 1; }; }
1953
1954   # Don't try to exec as it changes $[0], causing all sort of problems
1955   # (the dirname of $[0] is not the place where we might find the
1956   # original and so on.  Autoconf is especially sensitive to this).
1957   . "./$as_me.lineno"
1958   # Exit status is that of the last command.
1959   exit
1960 }
1961
1962
1963 if (as_dir=`dirname -- /` && test "X$as_dir" = X/) >/dev/null 2>&1; then
1964   as_dirname=dirname
1965 else
1966   as_dirname=false
1967 fi
1968
1969 ECHO_C= ECHO_N= ECHO_T=
1970 case `echo -n x` in
1971 -n*)
1972   case `echo 'x\c'` in
1973   *c*) ECHO_T=' ';;     # ECHO_T is single tab character.
1974   *)   ECHO_C='\c';;
1975   esac;;
1976 *)
1977   ECHO_N='-n';;
1978 esac
1979
1980 if expr a : '\(a\)' >/dev/null 2>&1 &&
1981    test "X`expr 00001 : '.*\(...\)'`" = X001; then
1982   as_expr=expr
1983 else
1984   as_expr=false
1985 fi
1986
1987 rm -f conf$$ conf$$.exe conf$$.file
1988 if test -d conf$$.dir; then
1989   rm -f conf$$.dir/conf$$.file
1990 else
1991   rm -f conf$$.dir
1992   mkdir conf$$.dir
1993 fi
1994 echo >conf$$.file
1995 if ln -s conf$$.file conf$$ 2>/dev/null; then
1996   as_ln_s='ln -s'
1997   # ... but there are two gotchas:
1998   # 1) On MSYS, both `ln -s file dir' and `ln file dir' fail.
1999   # 2) DJGPP < 2.04 has no symlinks; `ln -s' creates a wrapper executable.
2000   # In both cases, we have to default to `cp -p'.
2001   ln -s conf$$.file conf$$.dir 2>/dev/null && test ! -f conf$$.exe ||
2002     as_ln_s='cp -p'
2003 elif ln conf$$.file conf$$ 2>/dev/null; then
2004   as_ln_s=ln
2005 else
2006   as_ln_s='cp -p'
2007 fi
2008 rm -f conf$$ conf$$.exe conf$$.dir/conf$$.file conf$$.file
2009 rmdir conf$$.dir 2>/dev/null
2010
2011 if mkdir -p . 2>/dev/null; then
2012   as_mkdir_p=:
2013 else
2014   test -d ./-p && rmdir ./-p
2015   as_mkdir_p=false
2016 fi
2017
2018 if test -x / >/dev/null 2>&1; then
2019   as_test_x='test -x'
2020 else
2021   if ls -dL / >/dev/null 2>&1; then
2022     as_ls_L_option=L
2023   else
2024     as_ls_L_option=
2025   fi
2026   as_test_x='
2027     eval sh -c '\''
2028       if test -d "$1"; then
2029         test -d "$1/.";
2030       else
2031         case $1 in
2032         -*)set "./$1";;
2033         esac;
2034         case `ls -ld'$as_ls_L_option' "$1" 2>/dev/null` in
2035         ???[sx]*):;;*)false;;esac;fi
2036     '\'' sh
2037   '
2038 fi
2039 as_executable_p=$as_test_x
2040
2041 # Sed expression to map a string onto a valid CPP name.
2042 as_tr_cpp="eval sed 'y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g'"
2043
2044 # Sed expression to map a string onto a valid variable name.
2045 as_tr_sh="eval sed 'y%*+%pp%;s%[^_$as_cr_alnum]%_%g'"
2046
2047
2048 exec 6>&1
2049
2050 # Save the log message, to keep $[0] and so on meaningful, and to
2051 # report actual input values of CONFIG_FILES etc. instead of their
2052 # values after options handling.
2053 ac_log="
2054 This file was extended by $as_me, which was
2055 generated by GNU Autoconf 2.61.  Invocation command line was
2056
2057   CONFIG_FILES    = $CONFIG_FILES
2058   CONFIG_HEADERS  = $CONFIG_HEADERS
2059   CONFIG_LINKS    = $CONFIG_LINKS
2060   CONFIG_COMMANDS = $CONFIG_COMMANDS
2061   $ $0 $@
2062
2063 on `(hostname || uname -n) 2>/dev/null | sed 1q`
2064 "
2065
2066 _ACEOF
2067
2068 cat >>$CONFIG_STATUS <<_ACEOF
2069 # Files that config.status was made for.
2070 config_files="$ac_config_files"
2071
2072 _ACEOF
2073
2074 cat >>$CONFIG_STATUS <<\_ACEOF
2075 ac_cs_usage="\
2076 \`$as_me' instantiates files from templates according to the
2077 current configuration.
2078
2079 Usage: $0 [OPTIONS] [FILE]...
2080
2081   -h, --help       print this help, then exit
2082   -V, --version    print version number and configuration settings, then exit
2083   -q, --quiet      do not print progress messages
2084   -d, --debug      don't remove temporary files
2085       --recheck    update $as_me by reconfiguring in the same conditions
2086   --file=FILE[:TEMPLATE]
2087                    instantiate the configuration file FILE
2088
2089 Configuration files:
2090 $config_files
2091
2092 Report bugs to <bug-autoconf@gnu.org>."
2093
2094 _ACEOF
2095 cat >>$CONFIG_STATUS <<_ACEOF
2096 ac_cs_version="\\
2097 config.status
2098 configured by $0, generated by GNU Autoconf 2.61,
2099   with options \\"`echo "$ac_configure_args" | sed 's/^ //; s/[\\""\`\$]/\\\\&/g'`\\"
2100
2101 Copyright (C) 2006 Free Software Foundation, Inc.
2102 This config.status script is free software; the Free Software Foundation
2103 gives unlimited permission to copy, distribute and modify it."
2104
2105 ac_pwd='$ac_pwd'
2106 srcdir='$srcdir'
2107 _ACEOF
2108
2109 cat >>$CONFIG_STATUS <<\_ACEOF
2110 # If no file are specified by the user, then we need to provide default
2111 # value.  By we need to know if files were specified by the user.
2112 ac_need_defaults=:
2113 while test $# != 0
2114 do
2115   case $1 in
2116   --*=*)
2117     ac_option=`expr "X$1" : 'X\([^=]*\)='`
2118     ac_optarg=`expr "X$1" : 'X[^=]*=\(.*\)'`
2119     ac_shift=:
2120     ;;
2121   *)
2122     ac_option=$1
2123     ac_optarg=$2
2124     ac_shift=shift
2125     ;;
2126   esac
2127
2128   case $ac_option in
2129   # Handling of the options.
2130   -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
2131     ac_cs_recheck=: ;;
2132   --version | --versio | --versi | --vers | --ver | --ve | --v | -V )
2133     echo "$ac_cs_version"; exit ;;
2134   --debug | --debu | --deb | --de | --d | -d )
2135     debug=: ;;
2136   --file | --fil | --fi | --f )
2137     $ac_shift
2138     CONFIG_FILES="$CONFIG_FILES $ac_optarg"
2139     ac_need_defaults=false;;
2140   --he | --h |  --help | --hel | -h )
2141     echo "$ac_cs_usage"; exit ;;
2142   -q | -quiet | --quiet | --quie | --qui | --qu | --q \
2143   | -silent | --silent | --silen | --sile | --sil | --si | --s)
2144     ac_cs_silent=: ;;
2145
2146   # This is an error.
2147   -*) { echo "$as_me: error: unrecognized option: $1
2148 Try \`$0 --help' for more information." >&2
2149    { (exit 1); exit 1; }; } ;;
2150
2151   *) ac_config_targets="$ac_config_targets $1"
2152      ac_need_defaults=false ;;
2153
2154   esac
2155   shift
2156 done
2157
2158 ac_configure_extra_args=
2159
2160 if $ac_cs_silent; then
2161   exec 6>/dev/null
2162   ac_configure_extra_args="$ac_configure_extra_args --silent"
2163 fi
2164
2165 _ACEOF
2166 cat >>$CONFIG_STATUS <<_ACEOF
2167 if \$ac_cs_recheck; then
2168   echo "running CONFIG_SHELL=$SHELL $SHELL $0 "$ac_configure_args \$ac_configure_extra_args " --no-create --no-recursion" >&6
2169   CONFIG_SHELL=$SHELL
2170   export CONFIG_SHELL
2171   exec $SHELL "$0"$ac_configure_args \$ac_configure_extra_args --no-create --no-recursion
2172 fi
2173
2174 _ACEOF
2175 cat >>$CONFIG_STATUS <<\_ACEOF
2176 exec 5>>config.log
2177 {
2178   echo
2179   sed 'h;s/./-/g;s/^.../## /;s/...$/ ##/;p;x;p;x' <<_ASBOX
2180 ## Running $as_me. ##
2181 _ASBOX
2182   echo "$ac_log"
2183 } >&5
2184
2185 _ACEOF
2186 cat >>$CONFIG_STATUS <<_ACEOF
2187 _ACEOF
2188
2189 cat >>$CONFIG_STATUS <<\_ACEOF
2190
2191 # Handling of arguments.
2192 for ac_config_target in $ac_config_targets
2193 do
2194   case $ac_config_target in
2195     "Makefile") CONFIG_FILES="$CONFIG_FILES Makefile" ;;
2196
2197   *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
2198 echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
2199    { (exit 1); exit 1; }; };;
2200   esac
2201 done
2202
2203
2204 # If the user did not use the arguments to specify the items to instantiate,
2205 # then the envvar interface is used.  Set only those that are not.
2206 # We use the long form for the default assignment because of an extremely
2207 # bizarre bug on SunOS 4.1.3.
2208 if $ac_need_defaults; then
2209   test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
2210 fi
2211
2212 # Have a temporary directory for convenience.  Make it in the build tree
2213 # simply because there is no reason against having it here, and in addition,
2214 # creating and moving files from /tmp can sometimes cause problems.
2215 # Hook for its removal unless debugging.
2216 # Note that there is a small window in which the directory will not be cleaned:
2217 # after its creation but before its name has been assigned to `$tmp'.
2218 $debug ||
2219 {
2220   tmp=
2221   trap 'exit_status=$?
2222   { test -z "$tmp" || test ! -d "$tmp" || rm -fr "$tmp"; } && exit $exit_status
2223 ' 0
2224   trap '{ (exit 1); exit 1; }' 1 2 13 15
2225 }
2226 # Create a (secure) tmp directory for tmp files.
2227
2228 {
2229   tmp=`(umask 077 && mktemp -d "./confXXXXXX") 2>/dev/null` &&
2230   test -n "$tmp" && test -d "$tmp"
2231 }  ||
2232 {
2233   tmp=./conf$$-$RANDOM
2234   (umask 077 && mkdir "$tmp")
2235 } ||
2236 {
2237    echo "$me: cannot create a temporary directory in ." >&2
2238    { (exit 1); exit 1; }
2239 }
2240
2241 #
2242 # Set up the sed scripts for CONFIG_FILES section.
2243 #
2244
2245 # No need to generate the scripts if there are no CONFIG_FILES.
2246 # This happens for instance when ./config.status config.h
2247 if test -n "$CONFIG_FILES"; then
2248
2249 _ACEOF
2250
2251
2252
2253 ac_delim='%!_!# '
2254 for ac_last_try in false false false false false :; do
2255   cat >conf$$subs.sed <<_ACEOF
2256 SHELL!$SHELL$ac_delim
2257 PATH_SEPARATOR!$PATH_SEPARATOR$ac_delim
2258 PACKAGE_NAME!$PACKAGE_NAME$ac_delim
2259 PACKAGE_TARNAME!$PACKAGE_TARNAME$ac_delim
2260 PACKAGE_VERSION!$PACKAGE_VERSION$ac_delim
2261 PACKAGE_STRING!$PACKAGE_STRING$ac_delim
2262 PACKAGE_BUGREPORT!$PACKAGE_BUGREPORT$ac_delim
2263 exec_prefix!$exec_prefix$ac_delim
2264 prefix!$prefix$ac_delim
2265 program_transform_name!$program_transform_name$ac_delim
2266 bindir!$bindir$ac_delim
2267 sbindir!$sbindir$ac_delim
2268 libexecdir!$libexecdir$ac_delim
2269 datarootdir!$datarootdir$ac_delim
2270 datadir!$datadir$ac_delim
2271 sysconfdir!$sysconfdir$ac_delim
2272 sharedstatedir!$sharedstatedir$ac_delim
2273 localstatedir!$localstatedir$ac_delim
2274 includedir!$includedir$ac_delim
2275 oldincludedir!$oldincludedir$ac_delim
2276 docdir!$docdir$ac_delim
2277 infodir!$infodir$ac_delim
2278 htmldir!$htmldir$ac_delim
2279 dvidir!$dvidir$ac_delim
2280 pdfdir!$pdfdir$ac_delim
2281 psdir!$psdir$ac_delim
2282 libdir!$libdir$ac_delim
2283 localedir!$localedir$ac_delim
2284 mandir!$mandir$ac_delim
2285 DEFS!$DEFS$ac_delim
2286 ECHO_C!$ECHO_C$ac_delim
2287 ECHO_N!$ECHO_N$ac_delim
2288 ECHO_T!$ECHO_T$ac_delim
2289 LIBS!$LIBS$ac_delim
2290 build_alias!$build_alias$ac_delim
2291 host_alias!$host_alias$ac_delim
2292 target_alias!$target_alias$ac_delim
2293 targetname!$targetname$ac_delim
2294 LIBOBJS!$LIBOBJS$ac_delim
2295 LTLIBOBJS!$LTLIBOBJS$ac_delim
2296 _ACEOF
2297
2298   if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 40; then
2299     break
2300   elif $ac_last_try; then
2301     { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5
2302 echo "$as_me: error: could not make $CONFIG_STATUS" >&2;}
2303    { (exit 1); exit 1; }; }
2304   else
2305     ac_delim="$ac_delim!$ac_delim _$ac_delim!! "
2306   fi
2307 done
2308
2309 ac_eof=`sed -n '/^CEOF[0-9]*$/s/CEOF/0/p' conf$$subs.sed`
2310 if test -n "$ac_eof"; then
2311   ac_eof=`echo "$ac_eof" | sort -nru | sed 1q`
2312   ac_eof=`expr $ac_eof + 1`
2313 fi
2314
2315 cat >>$CONFIG_STATUS <<_ACEOF
2316 cat >"\$tmp/subs-1.sed" <<\CEOF$ac_eof
2317 /@[a-zA-Z_][a-zA-Z_0-9]*@/!b end
2318 _ACEOF
2319 sed '
2320 s/[,\\&]/\\&/g; s/@/@|#_!!_#|/g
2321 s/^/s,@/; s/!/@,|#_!!_#|/
2322 :n
2323 t n
2324 s/'"$ac_delim"'$/,g/; t
2325 s/$/\\/; p
2326 N; s/^.*\n//; s/[,\\&]/\\&/g; s/@/@|#_!!_#|/g; b n
2327 ' >>$CONFIG_STATUS <conf$$subs.sed
2328 rm -f conf$$subs.sed
2329 cat >>$CONFIG_STATUS <<_ACEOF
2330 :end
2331 s/|#_!!_#|//g
2332 CEOF$ac_eof
2333 _ACEOF
2334
2335
2336 # VPATH may cause trouble with some makes, so we remove $(srcdir),
2337 # ${srcdir} and @srcdir@ from VPATH if srcdir is ".", strip leading and
2338 # trailing colons and then remove the whole line if VPATH becomes empty
2339 # (actually we leave an empty line to preserve line numbers).
2340 if test "x$srcdir" = x.; then
2341   ac_vpsub='/^[  ]*VPATH[        ]*=/{
2342 s/:*\$(srcdir):*/:/
2343 s/:*\${srcdir}:*/:/
2344 s/:*@srcdir@:*/:/
2345 s/^\([^=]*=[     ]*\):*/\1/
2346 s/:*$//
2347 s/^[^=]*=[       ]*$//
2348 }'
2349 fi
2350
2351 cat >>$CONFIG_STATUS <<\_ACEOF
2352 fi # test -n "$CONFIG_FILES"
2353
2354
2355 for ac_tag in  :F $CONFIG_FILES
2356 do
2357   case $ac_tag in
2358   :[FHLC]) ac_mode=$ac_tag; continue;;
2359   esac
2360   case $ac_mode$ac_tag in
2361   :[FHL]*:*);;
2362   :L* | :C*:*) { { echo "$as_me:$LINENO: error: Invalid tag $ac_tag." >&5
2363 echo "$as_me: error: Invalid tag $ac_tag." >&2;}
2364    { (exit 1); exit 1; }; };;
2365   :[FH]-) ac_tag=-:-;;
2366   :[FH]*) ac_tag=$ac_tag:$ac_tag.in;;
2367   esac
2368   ac_save_IFS=$IFS
2369   IFS=:
2370   set x $ac_tag
2371   IFS=$ac_save_IFS
2372   shift
2373   ac_file=$1
2374   shift
2375
2376   case $ac_mode in
2377   :L) ac_source=$1;;
2378   :[FH])
2379     ac_file_inputs=
2380     for ac_f
2381     do
2382       case $ac_f in
2383       -) ac_f="$tmp/stdin";;
2384       *) # Look for the file first in the build tree, then in the source tree
2385          # (if the path is not absolute).  The absolute path cannot be DOS-style,
2386          # because $ac_f cannot contain `:'.
2387          test -f "$ac_f" ||
2388            case $ac_f in
2389            [\\/$]*) false;;
2390            *) test -f "$srcdir/$ac_f" && ac_f="$srcdir/$ac_f";;
2391            esac ||
2392            { { echo "$as_me:$LINENO: error: cannot find input file: $ac_f" >&5
2393 echo "$as_me: error: cannot find input file: $ac_f" >&2;}
2394    { (exit 1); exit 1; }; };;
2395       esac
2396       ac_file_inputs="$ac_file_inputs $ac_f"
2397     done
2398
2399     # Let's still pretend it is `configure' which instantiates (i.e., don't
2400     # use $as_me), people would be surprised to read:
2401     #    /* config.h.  Generated by config.status.  */
2402     configure_input="Generated from "`IFS=:
2403           echo $* | sed 's|^[^:]*/||;s|:[^:]*/|, |g'`" by configure."
2404     if test x"$ac_file" != x-; then
2405       configure_input="$ac_file.  $configure_input"
2406       { echo "$as_me:$LINENO: creating $ac_file" >&5
2407 echo "$as_me: creating $ac_file" >&6;}
2408     fi
2409
2410     case $ac_tag in
2411     *:-:* | *:-) cat >"$tmp/stdin";;
2412     esac
2413     ;;
2414   esac
2415
2416   ac_dir=`$as_dirname -- "$ac_file" ||
2417 $as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
2418          X"$ac_file" : 'X\(//\)[^/]' \| \
2419          X"$ac_file" : 'X\(//\)$' \| \
2420          X"$ac_file" : 'X\(/\)' \| . 2>/dev/null ||
2421 echo X"$ac_file" |
2422     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
2423             s//\1/
2424             q
2425           }
2426           /^X\(\/\/\)[^/].*/{
2427             s//\1/
2428             q
2429           }
2430           /^X\(\/\/\)$/{
2431             s//\1/
2432             q
2433           }
2434           /^X\(\/\).*/{
2435             s//\1/
2436             q
2437           }
2438           s/.*/./; q'`
2439   { as_dir="$ac_dir"
2440   case $as_dir in #(
2441   -*) as_dir=./$as_dir;;
2442   esac
2443   test -d "$as_dir" || { $as_mkdir_p && mkdir -p "$as_dir"; } || {
2444     as_dirs=
2445     while :; do
2446       case $as_dir in #(
2447       *\'*) as_qdir=`echo "$as_dir" | sed "s/'/'\\\\\\\\''/g"`;; #(
2448       *) as_qdir=$as_dir;;
2449       esac
2450       as_dirs="'$as_qdir' $as_dirs"
2451       as_dir=`$as_dirname -- "$as_dir" ||
2452 $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
2453          X"$as_dir" : 'X\(//\)[^/]' \| \
2454          X"$as_dir" : 'X\(//\)$' \| \
2455          X"$as_dir" : 'X\(/\)' \| . 2>/dev/null ||
2456 echo X"$as_dir" |
2457     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
2458             s//\1/
2459             q
2460           }
2461           /^X\(\/\/\)[^/].*/{
2462             s//\1/
2463             q
2464           }
2465           /^X\(\/\/\)$/{
2466             s//\1/
2467             q
2468           }
2469           /^X\(\/\).*/{
2470             s//\1/
2471             q
2472           }
2473           s/.*/./; q'`
2474       test -d "$as_dir" && break
2475     done
2476     test -z "$as_dirs" || eval "mkdir $as_dirs"
2477   } || test -d "$as_dir" || { { echo "$as_me:$LINENO: error: cannot create directory $as_dir" >&5
2478 echo "$as_me: error: cannot create directory $as_dir" >&2;}
2479    { (exit 1); exit 1; }; }; }
2480   ac_builddir=.
2481
2482 case "$ac_dir" in
2483 .) ac_dir_suffix= ac_top_builddir_sub=. ac_top_build_prefix= ;;
2484 *)
2485   ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
2486   # A ".." for each directory in $ac_dir_suffix.
2487   ac_top_builddir_sub=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,/..,g;s,/,,'`
2488   case $ac_top_builddir_sub in
2489   "") ac_top_builddir_sub=. ac_top_build_prefix= ;;
2490   *)  ac_top_build_prefix=$ac_top_builddir_sub/ ;;
2491   esac ;;
2492 esac
2493 ac_abs_top_builddir=$ac_pwd
2494 ac_abs_builddir=$ac_pwd$ac_dir_suffix
2495 # for backward compatibility:
2496 ac_top_builddir=$ac_top_build_prefix
2497
2498 case $srcdir in
2499   .)  # We are building in place.
2500     ac_srcdir=.
2501     ac_top_srcdir=$ac_top_builddir_sub
2502     ac_abs_top_srcdir=$ac_pwd ;;
2503   [\\/]* | ?:[\\/]* )  # Absolute name.
2504     ac_srcdir=$srcdir$ac_dir_suffix;
2505     ac_top_srcdir=$srcdir
2506     ac_abs_top_srcdir=$srcdir ;;
2507   *) # Relative name.
2508     ac_srcdir=$ac_top_build_prefix$srcdir$ac_dir_suffix
2509     ac_top_srcdir=$ac_top_build_prefix$srcdir
2510     ac_abs_top_srcdir=$ac_pwd/$srcdir ;;
2511 esac
2512 ac_abs_srcdir=$ac_abs_top_srcdir$ac_dir_suffix
2513
2514
2515   case $ac_mode in
2516   :F)
2517   #
2518   # CONFIG_FILE
2519   #
2520
2521 _ACEOF
2522
2523 cat >>$CONFIG_STATUS <<\_ACEOF
2524 # If the template does not know about datarootdir, expand it.
2525 # FIXME: This hack should be removed a few years after 2.60.
2526 ac_datarootdir_hack=; ac_datarootdir_seen=
2527
2528 case `sed -n '/datarootdir/ {
2529   p
2530   q
2531 }
2532 /@datadir@/p
2533 /@docdir@/p
2534 /@infodir@/p
2535 /@localedir@/p
2536 /@mandir@/p
2537 ' $ac_file_inputs` in
2538 *datarootdir*) ac_datarootdir_seen=yes;;
2539 *@datadir@*|*@docdir@*|*@infodir@*|*@localedir@*|*@mandir@*)
2540   { echo "$as_me:$LINENO: WARNING: $ac_file_inputs seems to ignore the --datarootdir setting" >&5
2541 echo "$as_me: WARNING: $ac_file_inputs seems to ignore the --datarootdir setting" >&2;}
2542 _ACEOF
2543 cat >>$CONFIG_STATUS <<_ACEOF
2544   ac_datarootdir_hack='
2545   s&@datadir@&$datadir&g
2546   s&@docdir@&$docdir&g
2547   s&@infodir@&$infodir&g
2548   s&@localedir@&$localedir&g
2549   s&@mandir@&$mandir&g
2550     s&\\\${datarootdir}&$datarootdir&g' ;;
2551 esac
2552 _ACEOF
2553
2554 # Neutralize VPATH when `$srcdir' = `.'.
2555 # Shell code in configure.ac might set extrasub.
2556 # FIXME: do we really want to maintain this feature?
2557 cat >>$CONFIG_STATUS <<_ACEOF
2558   sed "$ac_vpsub
2559 $extrasub
2560 _ACEOF
2561 cat >>$CONFIG_STATUS <<\_ACEOF
2562 :t
2563 /@[a-zA-Z_][a-zA-Z_0-9]*@/!b
2564 s&@configure_input@&$configure_input&;t t
2565 s&@top_builddir@&$ac_top_builddir_sub&;t t
2566 s&@srcdir@&$ac_srcdir&;t t
2567 s&@abs_srcdir@&$ac_abs_srcdir&;t t
2568 s&@top_srcdir@&$ac_top_srcdir&;t t
2569 s&@abs_top_srcdir@&$ac_abs_top_srcdir&;t t
2570 s&@builddir@&$ac_builddir&;t t
2571 s&@abs_builddir@&$ac_abs_builddir&;t t
2572 s&@abs_top_builddir@&$ac_abs_top_builddir&;t t
2573 $ac_datarootdir_hack
2574 " $ac_file_inputs | sed -f "$tmp/subs-1.sed" >$tmp/out
2575
2576 test -z "$ac_datarootdir_hack$ac_datarootdir_seen" &&
2577   { ac_out=`sed -n '/\${datarootdir}/p' "$tmp/out"`; test -n "$ac_out"; } &&
2578   { ac_out=`sed -n '/^[  ]*datarootdir[  ]*:*=/p' "$tmp/out"`; test -z "$ac_out"; } &&
2579   { echo "$as_me:$LINENO: WARNING: $ac_file contains a reference to the variable \`datarootdir'
2580 which seems to be undefined.  Please make sure it is defined." >&5
2581 echo "$as_me: WARNING: $ac_file contains a reference to the variable \`datarootdir'
2582 which seems to be undefined.  Please make sure it is defined." >&2;}
2583
2584   rm -f "$tmp/stdin"
2585   case $ac_file in
2586   -) cat "$tmp/out"; rm -f "$tmp/out";;
2587   *) rm -f "$ac_file"; mv "$tmp/out" $ac_file;;
2588   esac
2589  ;;
2590
2591
2592
2593   esac
2594
2595 done # for ac_tag
2596
2597
2598 { (exit 0); exit 0; }
2599 _ACEOF
2600 chmod +x $CONFIG_STATUS
2601 ac_clean_files=$ac_clean_files_save
2602
2603
2604 # configure is writing to config.log, and then calls config.status.
2605 # config.status does its own redirection, appending to config.log.
2606 # Unfortunately, on DOS this fails, as config.log is still kept open
2607 # by configure, so config.status won't be able to write to it; its
2608 # output is simply discarded.  So we exec the FD to /dev/null,
2609 # effectively closing config.log, so it can be properly (re)opened and
2610 # appended to by config.status.  When coming back to configure, we
2611 # need to make the FD available again.
2612 if test "$no_create" != yes; then
2613   ac_cs_success=:
2614   ac_config_status_args=
2615   test "$silent" = yes &&
2616     ac_config_status_args="$ac_config_status_args --quiet"
2617   exec 5>/dev/null
2618   $SHELL $CONFIG_STATUS $ac_config_status_args || ac_cs_success=false
2619   exec 5>>config.log
2620   # Use ||, not &&, to avoid exiting from the if with $? = 1, which
2621   # would make configure fail if this is the last instruction.
2622   $ac_cs_success || { (exit 1); exit 1; }
2623 fi
2624
2625